Overview | Package | Class | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.latka
Class LatkaProperties

    java.lang.Object
      |
      +--org.apache.commons.latka.LatkaProperties

public class LatkaProperties
extends java.lang.Object

Stores properties for Latka. This class is backed by a ThreadLocal variable, so every Thread is guaranteed to get a unique Properties object. Note, however, that inside an environment utilizing a Thread pool, such as many Servlet engines, it is possible for the Properties object to travel quite widely. Use the `resetProperties()` method to reset the Properties object for a Thread to its default values.

Author:
  Morgan Delagrange

Constructor Summary
`LatkaProperties()`

Method Summary
`static java.util.Properties` | `getProperties()` Returns the unique Properties object for the current Thread.
`static void` | `resetProperties()` Resets the Latka properties to their initial value (getProperties() will still return the same Object).

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LatkaProperties

    public LatkaProperties()

Method Detail

### getProperties

    public static java.util.Properties getProperties()

  Returns the unique Properties object for the current Thread. The Properties object is initialized with the default Latka Properties.
  Returns:
    Latka Properties object

### resetProperties

    public static void resetProperties()

  Resets the Latka properties to their initial value (getProperties() will still return the same Object). One use for this method is to reset state inside a Thread-pooling environment.

Overview | Package | Class | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Apache Software Foundation. Documenation generated September 13 2001.